OracleAppProcessManager (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppProcessManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppProcessManager

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleAppProcessManager

extends AppServer

OracleAppProcessManager

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`OracleAppDomain[]` | `getDomains()`
`OracleAppHTTPServer` | `getHttpServer()`
`int` | `getLocalPort()`
`int` | `getRemotePort()`
`int` | `getRequestPort()`
`boolean` | `hasDomains()`
`boolean` | `hasHttpServer()`
`boolean` | `hasLocalPort()`
`boolean` | `hasRemotePort()`
`boolean` | `hasRequestPort()`
`void` | `setDomains(OracleAppDomain[] domains)`
`void` | `setHttpServer(OracleAppHTTPServer httpServer)`
`void` | `setLocalPort(int localPort)`
`void` | `setRemotePort(int remotePort)`
`void` | `setRequestPort(int requestPort)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getDomains

    OracleAppDomain[] getDomains()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDomains

    void setDomains(OracleAppDomain[] domains)

### hasDomains

    boolean hasDomains()

### getHttpServer

    OracleAppHTTPServer getHttpServer()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHttpServer

    void setHttpServer(OracleAppHTTPServer httpServer)

### hasHttpServer

    boolean hasHttpServer()

### getLocalPort

    int getLocalPort()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocalPort

    void setLocalPort(int localPort)

### hasLocalPort

    boolean hasLocalPort()

### getRemotePort

    int getRemotePort()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRemotePort

    void setRemotePort(int remotePort)

### hasRemotePort

    boolean hasRemotePort()

### getRequestPort

    int getRequestPort()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRequestPort

    void setRequestPort(int requestPort)

### hasRequestPort

    boolean hasRequestPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD